- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySystemMetadata/placeholders#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySystemMetadata/placeholders#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySystemMetadata/placeholders#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySystemMetadata/placeholders#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySystemMetadata/placeholders#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySystemMetadata/placeholders#body.LegacyGetPlaceholderNamesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySystemMetadata/placeholders#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySystemMetadata/placeholders#body.aspect_1)
- [PlaceholderCategory](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySystemMetadata/placeholders#PlaceholderCategory)

**Full name**: projects.locations.instances.legacySystemMetadata.placeholders

Returns a list of available placeholder names for a specific category (e.g., `ALERT`, `CASE`, `ENTITY`). Placeholders represent dynamic data fields that can be used in templates, playbooks, and widgets across the platform.

### HTTP request

`GET https://{endpoint}/v1alpha/{instance}/legacySystemMetadata:placeholders`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The name of the parent resource, which is the SecOps instance to get Placeholders for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Query parameters

| Parameters ||
|---|---|
| `placeholderCategory` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySystemMetadata/placeholders#PlaceholderCategory`)`` Required. The category of placeholders requested. |
| `searchTerm` | `string` Optional. A search term used for querying placeholders. |
| `shouldRemovePrefix` | `boolean` Optional. Skip field type prefix. |
| `simulation` | `boolean` Optional. Request for playbook simulation. Can be provided if the Category is ENTITY. Helps to understand if we are looking for entities that are part of a playbook simulation. |
| `originalWorkflowIdentifier` | `string` Optional. Simulated playbook identifier. Can be provided if the Category is ENTITY. To reference the specific playbook that is simulated so the placeholders can look for entity names within it. |
| `pageSize` | `integer` Optional. The maximum number of results to return. |
| `requestedPage` | `integer` Optional. The requested page number. |

### Request body

The request body must be empty.

### Response body

Response for legacySystemMetadata.placeholders.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "items": [ string ], "totalSize": integer } ``` |

| Fields ||
|---|---|
| `items[]` | `string` Output only. The list of placeholder names. |
| `totalSize` | `integer` The total number of results matching the request. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacySystemMetadata.placeholders`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## PlaceholderCategory

Categories for placeholders used in the system.

| Enums ||
|---|---|
| `PLACEHOLDER_CATEGORY_UNSPECIFIED` | Unspecified placeholder category. |
| `ALERT` | Alert placeholder category. |
| `CASE` | Case placeholder category. |
| `ENTITY` | Entity placeholder category. |
| `ENVIRONMENT` | Environment placeholder category. |
| `EVENT` | Event placeholder category. |
| `ENVIRONMENT_PARAMETER` | Environment parameter placeholder category. |
| `GENERAL` | General placeholder category. |
| `PRODUCT` | Case Products placeholder category. |
| `ALERT_CONTEXT` | Placeholders related to an alert's context. |
| `CASE_CONTEXT` | Placeholders related to a case's context. |
| `ALERT_CUSTOM` | Placeholders for custom fields on an alert. |
| `CASE_CUSTOM` | Placeholders for custom fields on a case. |